package com.zehong.communication.service.impl;

import com.zehong.communication.common.result.Result;
import com.zehong.communication.service.VoiceNotifyService;
import com.zehong.communication.util.HttpUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.net.URISyntaxException;
import java.util.HashMap;
import java.util.Map;

@Service
public class VoiceNotifyServiceImpl implements VoiceNotifyService {

    @Value("${voiceNotifyURL}")
    private String voiceNotifyURL;

    @Value("${appId}")
    private String appId;

    @Value("${appKey}")
    private String appKey;

    @Value("${templateId}")
    private String templateId;

    @Value("${batchVoiceNotifyURL}")
    private String batchVoiceNotifyURL;

    @Override
    public Result sendVoiceNotify(String phoneNumber) throws IOException, URISyntaxException {
        Map<String,Object> params = getParams();
        params.put("mobile",phoneNumber);
        return HttpUtil.doPost(voiceNotifyURL,params);
    }

    @Override
    public Result sendBatchVoiceNotify(String phoneNumbers) throws IOException, URISyntaxException {
        Map<String,Object> params = getParams();
        params.put("mobile",phoneNumbers);
        return HttpUtil.doPost(batchVoiceNotifyURL,params);
    }

    private Map<String,Object> getParams(){
        Map<String,Object> params = new HashMap<>();
        params.put("appId",appId);
        params.put("appKey",appKey);
        params.put("templateId",templateId);
        params.put("param","2222,某某街道,报警器报警（手机号后四位,地址,原因");
        return params;
    }
}
